Update A Message

Update an existing (unsent) message.

https://app.mojotxt.com/api/v1/{phone_number}/messages/update/{MessageID}

A message with a Sent status of 1 has already been sent, and it cannot be updated. Update a message before it starts sending.

The Type, Message and PublishTime fields can be updated. Other fields are ignored, so to change who gets a message or its link, delete it and add it again. You can send parameters as part of the GET querystring, or as POST data. Multiple fields can be updated at one time.

If you change Message without sending Type, the API chooses the type again from the new text.

Example Request:

GET https://app.mojotxt.com/api/v1/+15555550100/messages/update/708?Message=New%20Message

-or-

POST https://app.mojotxt.com/api/v1/+15555550100/messages/update/708
DATA Message=New Message

Example Result:

{
    "result": "success",
    "timestamp": 1793491200,
    "request": {
        "Message": "New Message",
        "object": "messages",
        "verb": "update",
        "phone": "+15555550100",
        "id": "708"
    },
    "message": "The message was updated successfully."
}